Bug 106980 - nework device control does not set modem "active"
nework device control does not set modem "active"
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-network (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
: 107816 114075 122230 124705 (view as bug list)
Depends On:
Blocks: rcn-modem
  Show dependency treegraph
Reported: 2003-10-14 00:45 EDT by Norbert Breun
Modified: 2007-11-30 17:06 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:33:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Norbert Breun 2003-10-14 00:45:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031003

Description of problem:
using hagenuk isdn modem; modemdetection failes; setup manually;
activate connection works well; lock file is created;
but modem is  _not_ set "active"; so one has to kill connection with kill ppp
connection manually;

this is even an issue with fedora;

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start modem connection 
2.ppp is working
3.modem not set "active"

Actual Results:  see above

Expected Results:  modem should be set to "actice" so I will be able to
deactivate it later;

Additional info:
Comment 1 W. Michael Petullo 2003-12-29 01:41:51 EST
I am using Fedora RawHide (as of 27 Dec 2003) on PPC, including
initscripts 7.43-1 and system-config-network 1.3.13-2.

When I bring up my ppp modem link using system-control-network I have
similar trouble.  Selecting my interface and clicking "Activate"
causes the following:

1.  Two windows pop up.  One is titled "Network device activating..."
and says, "Activating network device Chicago_EarthLink, please
wait..."  The other is titled "system-config-network:" and also says
"Activating network device Chicago_EarthLink, please wait..."

2.  The link is brought up successfully.

3.  BUT...the two windows that popped up never go away.  This makes
further use of this instance of system-control-network impossible. 
AND the interface is still listed as inactive in this instance of

HOWEVER, executing a _second_ instance of system-control-network does
list the ppp interface as active.  Clicking deactivate on the second
instance causes the link to come down AND causes the first instance to
quit stalling and say "Failed to activate <interface> with error 5"
(even though the link had been operating correctly while the first
system-control-network instace had seemed to stall)

ALSO, "ifup <ppp interface>" causes the link to come up but also
remains running in the foreground of the shell.  In other words it
does not seem to run pppd in daemon mode (no fork?).

Some odd things I noticed in ifup-ppp and friends:

1.  the nodetach pppd option is used by ifup-ppp (is this right?)
2.  ppp-watch is not executed in the background (does it fork?)
Comment 2 John Oriel 2004-01-20 07:09:03 EST
I have the same problem with Enterprise Linux WS 3 on a Pentium 3
system with an external modem connected to a serial port.  PPP0 comes
up and works just fine, but is not marked "active" by the GUI and the
"Deactivate" button remains grayed out and does not work.  "Ifdown
ppp0" does not close the connection, even when executed while logged
in as root.
Comment 3 W. Michael Petullo 2004-02-12 12:16:54 EST
This bug still rears its ugly head in Fedora Core 2 Test 1 (see
Additional Comment #1).
Comment 4 Jesse 2004-05-25 15:57:54 EDT
I have a similar problem with the Fedora Core 2 release.
When I select a network device and click "Activate" the device
becomes active (I can browse the network, etc) but the Status
remainds "Inactive". I can also deactivate the device by clicking
the "Deactivate" button. So I assume the only problem is the Status
field not being updated.
Comment 5 Harald Hoyer 2004-06-04 09:31:13 EDT
*** Bug 107816 has been marked as a duplicate of this bug. ***
Comment 6 Harald Hoyer 2004-06-04 09:31:21 EDT
*** Bug 114075 has been marked as a duplicate of this bug. ***
Comment 7 Harald Hoyer 2004-06-04 09:31:32 EDT
*** Bug 122230 has been marked as a duplicate of this bug. ***
Comment 8 Harald Hoyer 2004-06-04 09:31:54 EDT
*** Bug 124705 has been marked as a duplicate of this bug. ***
Comment 9 RHEL Product and Program Management 2007-10-19 15:33:55 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.